# FIXME: fix the cases when immediate symbol resolution is not enough.
# For the present, fall back to the old symbol resolution rules for ld.
%define _disable_ld_now 1

Summary:	X.org input driver for joysticks
Name:		x11-driver-input-joystick
Version:	1.6.2
Release:	7
License:	MIT
Group:		System/X11
Url:		http://xorg.freedesktop.org
Source0:	http://xorg.freedesktop.org/releases/individual/driver/xf86-input-joystick-%{version}.tar.bz2
Patch0:		xf86-input-joystick-1.6.2-link-against-xi.patch
BuildRequires:	pkgconfig(xi)
BuildRequires:	pkgconfig(xorg-macros)
BuildRequires:	pkgconfig(xorg-server)
BuildRequires:	pkgconfig(xproto)
Requires:	x11-server-common %(xserver-sdk-abi-requires xinput)

%description
Joystick is an X.org input driver for joysticks.

%files
%{_libdir}/xorg/modules/input/joystick_drv.so
%{_mandir}/man4/*

#----------------------------------------------------------------------------

%prep
%setup -qn xf86-input-joystick-%{version}
%apply_patches

%build
autoreconf -fiv
%configure2_5x
%make

%install
%makeinstall_std

#(eandry) remove devel file, create a devel package if needed
rm -rf %{buildroot}%{_includedir}/xorg/*.h
rm -rf %{buildroot}%{_libdir}/pkgconfig/*.pc
find %{buildroot} -type f -name "*.la" -exec rm -f {} ';'


%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 1.6.2-7
+ Revision: 8a2e342
- MassBuild#440: Increase release tag


